<?php
/**
 * class pathData
 *
 * Description for class pathData
 *
 * @author:
*/
namespace core;

class pathData {
	const SLIDE_TYPE_GENERAL = "_app/extends/quick_slide/";
	const SLIDE_TYPE_QUESTION = "_app/extends/question_type/";
	const SLIDE_TYPE_IMAGE = "public/images/typeSlide/";
	const SLIDE_PREVIEW = "public/images/slidePreview/";

	const CACHE_SLIDE_TYPE_IMAGE = "public/images/typeSlide/";

	public static function image($type, $fileName, $noFileExists = "") {
		if(!file_exists($type.$fileName)) {
			if(!empty($noFileExists)) {
				return url::content($noFileExists);
			}

			return "";
		}

		return url::content($type.$fileName);
	}
}
?>